Name:		xviewer-plugins
Version:	1.4.3
Release:	1%{?dist}
Summary:	A collection of plugins for xviewer

License:	GPLv2+
URL:		https://github.com/linuxmint/%{name}
Source0:	%{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:	libappstream-glib
BuildRequires:	meson
%if 0%{?fedora}
BuildRequires:	pkgconfig(champlain-gtk-0.12)
BuildRequires:	pkgconfig(clutter-gtk-1.0)
%endif
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libgdata)
BuildRequires:	pkgconfig(libpeas-1.0)
BuildRequires:	pkgconfig(xviewer)
BuildRequires:	python%{python3_pkgversion}-devel

Requires:	python%{python3_pkgversion}%{_isa}
Requires:	python%{python3_pkgversion}-xapps-overrides%{_isa}
Requires:	xviewer%{?_isa}

Requires(postun):	/sbin/ldconfig

%description
This package contains plugins for additional features in xviewer.


%prep
%autosetup -p 1
sed -i -e "s/'lib'/libdir/" meson.build


%build
%meson
%meson_build


%install
%meson_install

%find_lang %{name}


%check
%{_bindir}/appstream-util validate-relax --nonet	\
	%{buildroot}%{_datadir}/metainfo/*.xml


%files -f %{name}.lang
%license COPYING debian/copyright
%doc NEWS debian/changelog
%{_libdir}/xviewer/plugins/*
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/metainfo/*
%{_datadir}/xviewer/plugins/*


%changelog
* Tue Nov 15 2022 Yaakov Selkowitz <yselkowi@redhat.com> - 1.4.3-1
- new version

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Nov 17 2017 Björn Esser <besser82@fedoraproject.org> - 1.2.0-5
- Add required scriptlets for EPEL7

* Fri Nov 17 2017 Björn Esser <besser82@fedoraproject.org> - 1.2.0-4
- Adaptions for EPEL7

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon May 08 2017 Björn Esser <besser82@fedoraproject.org> - 1.2.0-1
- Initial import (rhbz#1424826)

* Sun Feb 19 2017 Björn Esser <besser82@fedoraproject.org> - 1.2.0-0.1
- Initial rpm-release (rhbz#1424826)
